Description

Apparently there is a display error on the proxy details page under: Infrastructure-->Smart Proxies--> Proxy-Name -->Overview

After executing the command " foreman-installer --no-enable-foreman-proxy-plugin-ansible " to disable Ansible on the proxy, Ansible
is still displayed as an active feature on the GUI page:

—— gy e ettt e
Version 353
Active features Ansible Dynflow

However, the changes are made in the " /efc/foreman-installer/scenarios.d/foreman-proxy-content-answers.yam! " file:

foreman_proxy::plugin::ansible: false

The value was true before executing the above command.

History

#1 - 02/12/2024 01:39 PM - Markus Bucher
- Found in Releases 3.9.1 added
- Found in Releases deleted (3.5.3)

#2 - 02/12/2024 05:53 PM - Markus Bucher
Looks to me like the SmartProxy Ansible plugin cannot be disabled using “foreman-installer --no-enable-foreman-proxy-plugin-ansible’.

The --no-enable-... parameter will set foreman_proxy::plugin::ansible: false in the answers.yml. This means puppet will turn back to the default
parameters, setting $enabled to true.

It can be disabled by setting the following in the answers.ymi:

foreman_proxy::plugin::ansible:
enabled: false

This might be the same for other Smart Proxy plugins.

#3 - 02/12/2024 06:02 PM - Jeremy Lenz

- Project changed from Foreman to Installer

#4 - 02/14/2024 09:44 AM - Markus Bucher

- Subject changed from Display error on the proxy details page to SmartProxy Plugin cannot be disabled
https://github.com/theforeman/puppet-foreman_proxy/blob/623a1078516d13b0948c5f1ce3fac4c2e7f2f678/manifests/plugin/ansible/params.pp#L6
